%global fontname fontawesome-free
%global fontconf 60-%{fontname}.conf

Name:		%{fontname}-fonts
Version:	5.15.3
Release:	1%{?dist}
Summary:	Iconic SVG, font, and CSS toolkit. 
License:	OFL
URL:		https://fontawesome.com
Source0:	https://github.com/FortAwesome/Font-Awesome/releases/download/%{version}/%{fontname}-%{version}-desktop.zip
Source1:	%{name}-fontconfig.conf
Source2:	%{fontname}.metainfo.xml
BuildArch:	noarch
BuildRequires:	fontpackages-devel
BuildRequires:	libappstream-glib
Requires:	fontpackages-filesystem

%description
The internet's most popular icon toolkit redesigned and built from scratch. 
New features like icon font ligatures, an SVG framework.
Also official NPM packages for popular frontend libraries like React.

%prep
%autosetup -n %{fontname}-%{version}-desktop
chmod 644 *.txt

%build

%install

install -m 0755 -d %{buildroot}%{_fontdir}
install -m 0644 -p otfs/*.otf %{buildroot}%{_fontdir}

install -m 0755 -d %{buildroot}%{_fontconfig_templatedir} \
	%{buildroot}%{_fontconfig_confdir}

install -m 0644 -p %{SOURCE1} \
	%{buildroot}%{_fontconfig_templatedir}/%{fontconf}

install -Dm 0644 -p %{SOURCE2} \
	%{buildroot}%{_datadir}/metainfo/%{fontname}.metainfo.xml

ln -s %{_fontconfig_templatedir}/%{fontconf} \
	%{buildroot}%{_fontconfig_confdir}/%{fontconf}

%check
appstream-util validate-relax --nonet \
	%{buildroot}%{_datadir}/metainfo/%{fontname}.metainfo.xml

%_font_pkg -f %{fontconf} *.otf
%license LICENSE.txt
%{_datadir}/metainfo/%{fontname}.metainfo.xml

%changelog
* Fri Mar 26 2021 Marco Hartgring <marco.hartgring@gmail.com> - 5.15.3-1
- updated to 5.15.3

* Mon Mar 23 2020 Vishal Vijayraghavan <vishalvvr@fedoraproject.org> - 5.12.1-1
- build new release 5.12.1

* Mon Nov 26 2018 Vishal Vijayraghavan <vishalvijayraghavan@gmail.com> - 5.5.0-1
- first release of fontawesome-free fonts  

